<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns="http://www.w3.org/1999/xhtml">
    <head th:replace="template :: header"></head>
    <body>
        <nav th:replace="template :: navigation"></nav>

        <div class="container">
            <div class="row">

                <div class="col-md-12">
                    <h2 th:text="#{label.tsls}">Trusted Lists</h2>
                    <p th:if="${model == null}">No info found for country</p>

                    <div class="panel" th:classappend="${model.validationResult != null and model.validationResult.invalid} ? 'panel-danger' : (${(model.parseResult != null and model.parseResult.nextUpdateDate != null and model.parseResult.nextUpdateDate &gt;= #dates.createNow()) or (model.validationResult != null and model.validationResult.indeterminate)} ? 'panel-warning' : 'panel-success')" th:if="${model != null}">
                        <div class="panel-heading clearfix">
                            <div class="pull-right">
                                <select class="form-control" id="countrySelector">
                                    <option>Select another country</option>
                                    <option th:each="c : ${countries}" th:if="${country != c}" th:value="${#strings.toLowerCase(c)}" th:text="${c}"></option> 
                                </select>
                            </div>
                            <h3 class="panel-title" style="padding-top: 7.5px;" th:text="${country}" ></h3>
                        </div>
                        <div class="panel-body">
                            <dl class="dl-horizontal">
                                <dt>Url : </dt>
                                <dd><a th:href="${model.url}" th:text="${model.url}">url tsl</a></dd>

                                <dt>Check date : </dt>
                                <dd th:text="${model.loadedDate != null} ? ${#dates.format(model.loadedDate, 'HH:mm:ss')} : ''"></dd>

                                <dt th:if="${model.validationResult != null}">Indication : </dt>
                                <dd th:if="${model.validationResult != null}">
                                    <span th:if="${model.validationResult.valid}" class="glyphicon glyphicon-ok-sign text-success"></span>
                                    <span th:if="${model.validationResult.indeterminate}" class="glyphicon glyphicon-question-sign text-warning"></span>
                                    <span th:if="${!model.validationResult.valid and !model.validationResult.indeterminate}" class="glyphicon glyphicon-remove-sign text-danger"></span>
                                    <span th:text="${model.validationResult.indication}"></span>
                                </dd>
                                <dt th:if="${model.validationResult != null and model.validationResult.subIndication !=null}">Sub indication : </dt>
                                <dd th:if="${model.validationResult != null and model.validationResult.subIndication !=null}" th:text="${model.validationResult.subIndication}"></dd>

                                <th:block th:if="${model.parseResult !=null}">
                                    <dt>Sequence number :</dt>
                                    <dd th:text="${model.parseResult.sequenceNumber}">102</dd>
                                    <dt>Issue date : </dt>
                                    <dd th:text="${model.parseResult.issueDate != null} ? ${#dates.format(model.parseResult.issueDate, 'dd/MM/yyyy HH:mm')} : ''"></dd>
                                    <dt>Next update date : </dt>
                                    <dd th:text="${model.parseResult.nextUpdateDate != null} ? ${#dates.format(model.parseResult.nextUpdateDate, 'dd/MM/yyyy HH:mm')} : ''" th:classappend="${model.parseResult.nextUpdateDate &lt;= #dates.createNow()} ? 'text-danger' : ''"></dd>
                                </th:block>
                            </dl>

                            <div class="panel panel-default" th:if="${model.parseResult !=null and not #lists.isEmpty(model.parseResult.serviceProviders)}">
                                <div class="panel-heading">
                                    <span class="badge pull-right" th:text="${#lists.size(model.parseResult.serviceProviders)}"></span>
                                    <h3 class="panel-title">Trust service providers</h3>
                                </div>
                                <div class="panel-body">

                                    <th:block th:each="serviceProvider,sp : ${model.parseResult.serviceProviders}">
                                        <dl class="dl-horizontal">
                                            <dt>Name :</dt>
                                            <dd th:text="${serviceProvider.name}"></dd>
                                            <dt>Trade name :</dt>
                                            <dd th:text="${serviceProvider.tradeName}"></dd>
                                            <dt>Postal address :</dt>
                                            <dd th:text="${serviceProvider.postalAddress}"></dd>
                                            <dt>Electronic address :</dt>
                                            <dd><a th:href="${serviceProvider.electronicAddress}" th:title="${serviceProvider.name}" th:text="${serviceProvider.electronicAddress}"></a></dd>
                                        </dl>

                                        <div class="panel panel-default" th:if="${not #lists.isEmpty(serviceProvider.services)}">
                                            <div class="panel-heading">
                                                <span class="badge pull-right" th:text="${#lists.size(serviceProvider.services)}"></span>
                                                <h3 class="panel-title">Trust services</h3>
                                            </div>
                                            <div class="panel-body" th:id="'countryServices' + ${country} + ${sp.index}">
                                                <th:block th:each="service,ser : ${serviceProvider.services}">
                                                    <dl class="dl-horizontal">
                                                        <dt>Name :</dt>
                                                        <dd th:text="${service.name}"></dd>

                                                        <th:block th:each="serviceStatus : ${service.statusAndInformationExtensions.list}">
                                                            <br />
                                                            <dt>Type :</dt>
                                                            <dd><a th:href="${serviceStatus.type}" th:text="${serviceStatus.type}"></a></dd>
                                                            <dt>Status :</dt>
                                                            <dd><a th:href="${serviceStatus.status}" th:text="${serviceStatus.status}"></a></dd>
                                                            <dt>Start date :</dt>
                                                            <dd th:text="${#dates.format(serviceStatus.startDate, 'dd/MM/yyyy HH:mm:ss')}"></dd>
                                                            <dt th:if="${serviceStatus.endDate != null}">End date :</dt>
                                                            <dd th:text="${serviceStatus.endDate != null} ? ${#dates.format(serviceStatus.endDate, 'dd/MM/yyyy HH:mm:ss')} : ''"></dd>
                                                        </th:block>
                                                    </dl>

                                                    <div class="panel panel-default" th:if="${not #lists.isEmpty(service.certificates)}">
                                                        <div class="panel-heading">
                                                            <span class="badge pull-right" th:text="${#lists.size(service.certificates)}"></span>
                                                            <h3 class="panel-title">Certificates</h3>
                                                        </div>
                                                        <div class="panel-body">
                                                            <th:block th:each="token : ${service.certificates}">
                                                                <dl class="dl-horizontal">
                                                                    <dt th:text="#{label.service} +' :'"></dt>
                                                                    <dd th:text="${token.certificate.subjectDN.name}" ></dd>
                                                                    <dt th:text="#{label.issuer} +' :'"></dt>
                                                                    <dd th:text="${token.certificate.issuerDN.name}" ></dd>
                                                                    <dt>Serial number</dt>
                                                                    <dd th:text="${token.serialNumber}" ></dd>
                                                                    <dt th:text="#{label.validity_start} +' :'"></dt>
                                                                    <dd th:text="${#dates.format(token.certificate.notBefore, 'dd/MM/yyyy HH:mm:ss')}"></dd>
                                                                    <dt th:text="#{label.validity_end} +' :'"></dt>
                                                                    <dd th:text="${#dates.format(token.certificate.notAfter, 'dd/MM/yyyy HH:mm:ss')}"></dd>
                                                                </dl>
                                                            </th:block>
                                                        </div>
                                                    </div>
                                                </th:block>
                                            </div>
                                        </div>
                                    </th:block>
                                </div>
                            </div>

                            <div class="panel panel-default" th:if="${model.parseResult !=null and not #lists.isEmpty(model.parseResult.pointers)}">
                                <div class="panel-heading">
                                    <span class="badge pull-right" th:text="${#lists.size(model.parseResult.pointers)}"></span>
                                    <h3 class="panel-title">Machine processable pointers</h3>
                                </div>
                                <div class="panel-body">
                                    <ul>
                                        <li th:each="item : ${model.parseResult.pointers}">
                                            <a th:href="${item.url}" th:text="${item.url}"></a>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>

                    <script th:inline="javascript">
                        /*<![CDATA[*/
                        var context = [[@{/}]];

                                $('#countrySelector').change(function () {
                            window.location = context + 'tsl-info/' + $(this).val();
                        });
                        /*]]>*/
                    </script>

                </div>
                <div class="pull-left">
                    <a href="tsl-info" th:href="@{'/tsl-info/'}">Back </a>
                </div>
            </div>
            <footer th:replace="template :: footer"></footer>
        </div>
    </body>
</html>

